/*******************************************************************************
*    Comm2J 1.0.                                                               *
*    Copyright (C) 2004 Luca Bertoncello                                       *
*    Hartigstrae, 12 - 01127 Dresden Deutschland                              *
*    E-Mail: lucabert@lucabert.com, lucabert@lucabert.de                       *
*    http://www.lucabert.com/  http://www.lucabert.de/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

package comm2j;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.IOException;

/**
 * ByteMessage is the message class used to send and receive bytes
 * to/from remote server.<br>
 * @see Comm2J
 * @see java.lang.Byte
 * @author Luca Bertoncello &lt;lucabert@lucabert.de&gt;
 * @version 1.0
*/

public class ByteMessage extends Message
{
  /**
   * Constructor.
   * Initialize the class with null byte message
   */
  public ByteMessage()
  {
    super.className                 = "ByteMessage.class";
    super.message                   = null;
  }

  /**
   * Constructor.
   * Initialize the class with given byte
   * @param message Initial byte
   */
  public ByteMessage(Byte message)
  {
    super.className                 = "ByteMessage.class";
    super.messageHasBeenSet         = true;
    super.message                   = (Object) message;
  }

  /**
   * Sets the internal object.
   * This function is used by readMessage.
   * @param obj Internal object to be set
   */
  protected void setInternalObject(Object obj)
  {
    super.message                   = new Byte(Byte.parseByte((String) obj));
  }
}
